import Alert from "@/components/TempDesignSystem/Alert"
import { getIntl } from "@/i18n"

import styles from "./FnFNotAllowedAlert.module.css"

import { AlertTypeEnum } from "@/types/enums/alert"

export default async function FnFNotAllowedAlert() {
  const intl = await getIntl()

  return (
    <div className={styles.fnfMain}>
      <Alert
        type={AlertTypeEnum.Warning}
        text={intl.formatMessage({
          defaultMessage:
            "The Friends & Family rate can only be booked via FUSE.",
        })}
      />
    </div>
  )
}
